package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CommonParam {
    //==============必须携带相关参数===========
    @ApiModelProperty("token")
    private String token;

    @ApiModelProperty("游戏id")
    private Long gameId;

    //==============device 相关===============
    @ApiModelProperty("设备id")
    @JsonAlias("device-device_id")
    private String deviceId;

    @ApiModelProperty("mac设备")
    @JsonAlias("device-mac")
    private String deviceMac;

    @ApiModelProperty("设备品牌")
    @JsonAlias("device-brand")
    private String deviceBrand;

    @ApiModelProperty("设备型号代码")
    @JsonAlias("device-model")
    private String deviceModel;

    @ApiModelProperty("设备类型")
    @JsonAlias("device-type")
    private String deviceType;

//            "device-os":"",
//            "device-os_version":"",
//            "device-screen":"",
//            "device-net":"",
//            "device-imsi":"",
//            "device-longitude":"",
//            "device-latitude":"",
//            "device-userua":"",
//            "device-disk_space":"",
//            "device-open_time":"",
//            "device-is_charge":"",
//            "device-screen_luminance":"",
//            "device-has_sim":"",
//            "device-is_break":""
}
